PULSAR
API ReferenceTool Requests

Create

Create a new tool requests.

Authorization

bearerAuth
Authorization<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

Try it live
POST
/raw-materials/tool-requests

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X POST "https://example.com/raw-materials/tool-requests" \  -H "Content-Type: application/json" \  -d '{    "packageNumber": "string",    "workNumber": "string",    "employeeNumber": "string"  }'
{  "updatedAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "fulfilled": true,  "tools": [    {      "amount": 0.1,      "name": "string"    }  ],  "packageNumber": "string",  "workNumber": "string",  "employeeNumber": "string",  "operatorId": 0,  "machineId": 0,  "shiftId": 0,  "id": "string"}